import { get, post, delete_util, fileUpload_PUT, addParam } from "../util/http_util";

const PREFIX_RESOURCE = "api/rest/3z/resource/";
const PREFIX_ELASTIC = "api/rest/elastic/";
const PREFIX_DOCUMENT = "api/rest/3z/document/";
//文献增加标签
export const queryCollection = (id) => {
    return get(`${PREFIX_RESOURCE}queryCollection?folderId=${id}`);
}

export const queryOneNews = (id) => {
    return get(`${PREFIX_ELASTIC}queryOneNews?Id=${id}`);
}


export const queryLiterature = (id) => {
    return get(`${PREFIX_DOCUMENT}queryLiterature?id=${id}`);
}


export const removeCollection = (id) => {
    return delete_util(`${PREFIX_RESOURCE}removeCollection?id=${id}`);
}